///////////////////////////////////////////////////////////////////////////////
//
/// \file       test_block.c
/// \brief      Tests Block coders
//
//  Copyright (C) 2007 Lasse Collin
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
///////////////////////////////////////////////////////////////////////////////

#include "tests.h"


static uint8_t text[] = "Hello world!";
static uint8_t buffer[4096];
static lzmaalpha_options_block block_options;
static lzmaalpha_stream strm = LZMAALPHA_STREAM_INIT;


static void
test1(void)
{

}


int
main()
{
	lzmaalpha_init();

	block_options = (lzmaalpha_options_block){
		.check_type = LZMAALPHA_CHECK_NONE,
		.has_eopm = true,
		.has_uncompressed_size_in_footer = false,
		.has_backward_size = false,
		.handle_padding = false,
		.total_size = LZMAALPHA_VLI_VALUE_UNKNOWN,
		.compressed_size = LZMAALPHA_VLI_VALUE_UNKNOWN,
		.uncompressed_size = LZMAALPHA_VLI_VALUE_UNKNOWN,
		.header_size = 5,
	};
	block_options.filters[0].id = LZMAALPHA_VLI_VALUE_UNKNOWN;
	block_options.filters[0].options = NULL;


	lzmaalpha_end(&strm);

	return 0;
}
